Bug 505983 - (CVE-2009-1883) CVE-2009-1883 kernel: missing capability check in z90crypt
CVE-2009-1883 kernel: missing capability check in z90crypt
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20090915,repor...
: Security
Depends On: 505984 505985 505986
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 00:38 EDT by Eugene Teo (Security Response)
Modified: 2014-07-24 23:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2009-06-15 00:38:46 EDT
Solar Designer reported a missing capability check in the z90crypt driver
in the Linux kernel. This missing check could allow a local, unprivileged
user to bypass intended capability restrictions.
Comment 2 Eugene Teo (Security Response) 2009-06-15 00:51:54 EDT
Doesn't affect upstream anymore. We need to fix this in rhel-3/4.

@@ -1887,20 +1887,21 @@ z90crypt_unlocked_ioctl(struct file *fil
 				PRINTK("No longer issuing messages about depre"
 				       "cated ioctl Z90STAT_PCIXCCCOUNT.\n");
 		}
 
 		tempstat = get_status_PCIXCCcount();
 		if (copy_to_user((int *)arg, &tempstat, sizeof(int)) != 0)
 			ret = -EFAULT;
 		break;
 
 	case Z90QUIESCE:
+/* AUDIT-UL: should check a capability */
 		if (current->euid != 0) {
 			PRINTK("QUIESCE fails: euid %d\n",
 			       current->euid);
 			ret = -EACCES;
 		} else {
 			PRINTK("QUIESCE device from PID %d\n", PID());
 			quiesce_z90crypt = 1;
 		}
 		break;
Comment 3 Eugene Teo (Security Response) 2009-06-15 00:53:18 EDT
[...]
 171 *   Z90QUIESCE (not recommended)
 172 *     Quiesce the driver.  This is intended to stop all new
 173 *     requests from being processed.  Its use is NOT recommended,
 174 *     except in circumstances where there is no other way to stop
 175 *     callers from accessing the driver.  Its original use was to
 176 *     allow the driver to be "drained" of work in preparation for
 177 *     a system shutdown.
Comment 10 errata-xmlrpc 2009-09-15 04:30:39 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:1438 https://rhn.redhat.com/errata/RHSA-2009-1438.html

Note You need to log in before you can comment on or make changes to this bug.